/*
 * Function to convert an ethernet (MAC) address to string form.
 *
 * (C) 2002 Compendium Technologies, Inc.
 * (C) 2002 Softools, Inc.
 * All rights reserved.
 *
 * This software is the proprietary information of Compendium Technologies, Inc.
 * and Softools, Inc. Use is subject to license terms.
 */
#include "rabbitlwip.h"

/*
 * Convert an MAC (ethernet address) to a displayable string
 */
char *etherAddressToString(char *string, struct eth_addr *mac)
{
     //char *address = (char *)mac;
     //if (string == NULL)
     //    return NULL;
     sprintf(string, "%2.2x:%2.2x:%2.2x:%2.2x:%2.2x:%2.2x",
             ((char *) mac)[0], ((char *) mac)[1], ((char *) mac)[2],
             ((char *) mac)[3], ((char *) mac)[4], ((char *) mac)[5]);
     return string;
}
