/*
 * DNS client subsystem.
 *
 * (C) 2002 Compendium Technologies, Inc.
 * (C) 2002 Softools, Inc.
 * All rights reserved.
 *
 * This software is the proprietary information of Compendium Technologies, Inc.
 * and Softools, Inc. Use is subject to license terms.
 */
#include "dns.h"

/**
 * Add a name server. The server is an ip address which is assumed to be in
 * network format (no byte swapping required to use on the network).
 */
int dnsAddServer(struct ip_addr *nameserver)
{
    if (numNameServers == MAX_NAMESERVERS)
    {
        return DNS_MAX;
    }
    else
    {
        nameservers[numNameServers++] = *nameserver;
        return DNS_OK;
    }
}
